* * *

Author Topic: Lazarus Release Candidate 3 of 1.8  (Read 23473 times)

d.oertel

  • Newbie
  • Posts: 4
Re: Lazarus Release Candidate 3 of 1.8
« Reply #30 on: July 18, 2017, 06:28:45 pm »
Thank to all -
I have a highDPI problem (Bug) with 1.8RC3 here:
steps to reproduce:
1. create a new application
2. in project options set :
- 'use LCL scaling'
- use manifest (with dpiawareness= on)
compiling and run on a non hihghDPI win10 works fine
The same on a HighDPI win8.1 gives a sigsev Exceptiion while creating the form

Any Ideas ?
More information needed ?

cheers
d.oertel

Ondrej Pokorny

  • Full Member
  • ***
  • Posts: 184
Re: Lazarus Release Candidate 3 of 1.8
« Reply #31 on: July 18, 2017, 06:42:29 pm »
The same on a HighDPI win8.1 gives a sigsev Exceptiion while creating the form

Any Ideas ?
More information needed ?

Yes. A stack trace.

Does the error occur as well if you disable 'use LCL scaling' but keep manifest?

GetMem

  • Hero Member
  • *****
  • Posts: 2416

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3194
  • I like bugs.
Re: Lazarus Release Candidate 3 of 1.8
« Reply #33 on: July 18, 2017, 07:07:47 pm »
when will you release the stable 1.8.0 ?
When it is ready.  :)
There may be another RC, too, because the compiler version will be updated. Let's see.

d.oertel

  • Newbie
  • Posts: 4
Re: Lazarus Release Candidate 3 of 1.8
« Reply #34 on: July 19, 2017, 11:00:58 am »
@Ondrej Pokorny

Quote
Does the error occur as well if you disable 'use LCL scaling' but keep manifest?
No - than the Application starts.

Stack Trace will come tomorrow (out of office today).
The error occur after finishing the fCreateForm Event and before the showForm Event.
cheers
d.oertel

d.oertel

  • Newbie
  • Posts: 4
Re: Lazarus Release Candidate 3 of 1.8
« Reply #35 on: July 20, 2017, 11:01:26 am »
@Ondrej Pokorny

Here comes the stack trace:
#0 ?? at :0
#1 TWIN32WIDGETSET__GETDPIFORMONITOR(65537, MDT_EFFECTIVE_DPI, 210, 524, <error reading variable>) at win32winapi.inc:1889
#2 TMONITOR__GETPIXELSPERINCH(<error reading variable>) at .\include\monitor.inc:34
#3 TCUSTOMFORM__AFTERCONSTRUCTION(<error reading variable>) at .\include\customform.inc:162
#4 TFORM__CREATE(0x252c68, 0xffffffff, <error reading variable>) at .\include\customform.inc:3128
#5 TAPPLICATION__CREATEFORM(<incomplete type>, <error reading variable: Attempt to dereference a generic pointer.>, <error reading variable>) at .\include\application.inc:2206
#6 main at highdpitest.lpr:19


the code line is the GetDpiForMonitor call in win32winapi.inc:
Code: Pascal  [Select]
  1. function TWin32WidgetSet.GetDpiForMonitor(hmonitor: HMONITOR; dpiType: TMonitorDpiType; out dpiX: UINT; out dpiY: UINT): HRESULT;
  2. begin
  3.   if WindowsVersion >= wv8_1 then
  4.     Result := Win32Int.GetDpiForMonitor(hmonitor, dpiType, dpiX, dpiY)
  5.   else
  6.     Result := S_FALSE;
  7. end;  

The machine is a win 8.1 Pro 64 Bit. Program compield to 32 Bit Binary.
If you interested i can give you test results from the same Hardware but with
win10 or win7.
Can I give any more information ?

@GetMem:
Thanks for the Link

d.oertel

Ondrej Pokorny

  • Full Member
  • ***
  • Posts: 184
Re: Lazarus Release Candidate 3 of 1.8
« Reply #36 on: July 20, 2017, 11:49:06 am »
Hmm GetDPIForMonitor is said to be supported since 8.1: https://msdn.microsoft.com/de-de/library/windows/desktop/dn280510(v=vs.85).aspx

d.oertel

  • Newbie
  • Posts: 4
Re: Lazarus Release Candidate 3 of 1.8
« Reply #37 on: July 20, 2017, 01:10:53 pm »
@Ondrej Pokorny

Here comes the stack trace compiled as win64 same machine):
#0 ?? at :0
#1 XGETDPIFORMONITOR(65537, MDT_EFFECTIVE_DPI, 524, 524) at win32int.pp:318
#2 GETDPIFORMONITOR(0x12edd40, 65537, MDT_EFFECTIVE_DPI, 524, 524) at win32winapi.inc:1889
#3 GETPIXELSPERINCH(0x1285940) at include\monitor.inc:34
#4 AFTERCONSTRUCTION(0x12d1a30) at include\customform.inc:162
#5 CREATE(0x12d1a30, 0xffffffffffffffff, 0x1295f30) at include\customform.inc:3128
#6 CREATEFORM(0x1295f30, 0x10019f508, 0) at include\application.inc:2206
#7 main at highdpitest.lpr:19


By the way: the cross-compiling add-on packages for 32 or 64 Bit both do not work
out of the box for me: I alway get a 'The current FPC has no config file' Error.

cheers
d.oertel

michaelthuma

  • New member
  • *
  • Posts: 45
Re: Lazarus Release Candidate 3 of 1.8
« Reply #38 on: July 24, 2017, 12:29:58 pm »
Works great so far

The Lazarus team is glad to announce the third release candidate of Lazarus 1.8.

wp

  • Hero Member
  • *****
  • Posts: 3894
Re: Lazarus Release Candidate 3 of 1.8
« Reply #39 on: July 24, 2017, 01:03:45 pm »
My wish list:
It would be very nice If there was a TVectorImageList or TVecorGlyphList etc with methods to get its vectors in bitmap at desired size. and even possibly retouch them (hue, brightness, contrast etc).

btw, Where can I find unit ScaledImageList used by your example project? I'm using trunk. thanks.

ScaledImageList has not been published so far, just use the attached source in the post above. If you only attach a single image list to the ScaledImageList then the images are still extrapolated to the size that you need. Just run the demo in the post above, uncheck the 24x24 and 32x32 image sizes and enter 32 in the "Size needed" box. This means that you provide only and 16x16 images but need them at 32x32.  You'll see in the list box that the size increases to 32. Of course, the image quality is reduced - check 32x32 to see the difference. You could try a different interpolation method, but in many cases the default ("sharp") is the best option.

As far as I know there are no plans for a VectorImageList. The main reason is that there is no svg reader available within Lazarus/fpc libraries.
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

Fred vS

  • Hero Member
  • *****
  • Posts: 1663
    • miXimum is the DJ's best friend
Re: Lazarus Release Candidate 3 of 1.8
« Reply #40 on: August 01, 2017, 12:44:51 pm »
Hello.

Do you have plan to give a zipped version of Lazarus for Linux (not a DEB file, a zip like fpc does) ?
This because using DEB file gives lot of problem with Linux Ubuntu/Mint.

Or, better, if you do not want to give zip files, please update Ubuntu-Mint repository with last release.

Thanks.

Fre;D
I use Lazarus 1.8.0 32/64 and FPC 3.0.3 32/64 on Linux Mint Mate 17 32/64, Windows 10, Windows 7 32/64, Windows XP 32,  FreeBSD 64 and Mac OS X Snow Leopard 32.
Widgetset: fpGUI, MSEgui, Win32, GTK2, Qt, Carbon.

https://github.com/fredvs

m.abudrais

  • New member
  • *
  • Posts: 21
Re: Lazarus Release Candidate 3 of 1.8
« Reply #41 on: August 01, 2017, 04:19:51 pm »
Hello.

Do you have plan to give a zipped version of Lazarus for Linux (not a DEB file, a zip like fpc does) ?
This because using DEB file gives lot of problem with Linux Ubuntu/Mint.

Or, better, if you do not want to give zip files, please update Ubuntu-Mint repository with last release.

Thanks.

Fre;D
me too, using DEB file gives lot of problem with Ubuntu, i hope there is a plane for that.

GetMem

  • Hero Member
  • *****
  • Posts: 2416
Re: Lazarus Release Candidate 3 of 1.8
« Reply #42 on: August 01, 2017, 04:35:37 pm »
@Fred vS, @m.abudrais
Quote
Do you have plan to give a zipped version of Lazarus for Linux (not a DEB file, a zip like fpc does) ?
This because using DEB file gives lot of problem with Linux Ubuntu/Mint.
Or, better, if you do not want to give zip files, please update Ubuntu-Mint repository with last release.
I think this question should be asked in the mailing list. More chance to got a response, much quicker.

Bart

  • Hero Member
  • *****
  • Posts: 2744
    • Bart en Mariska's Webstek
Re: Lazarus Release Candidate 3 of 1.8
« Reply #43 on: August 01, 2017, 09:42:37 pm »
Just download the source, then build from the console,

Bart

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3194
  • I like bugs.
Re: Lazarus Release Candidate 3 of 1.8
« Reply #44 on: August 01, 2017, 11:07:32 pm »
Just download the source, then build from the console,
Exactly. Building Lazarus is so easy it does not necessarily need an installation .tar.gz package.
When you use the fixes_1_8 branch, you also get the latest bug fixes.
Then either start from console or create a desktop shortcut.
Another option is to use a rolling distro which have the latest versions of everything.
Installing FPC is more difficult and the installation package is needed more.

Or, better, if you do not want to give zip files, please update Ubuntu-Mint repository with last release.
We cannot change Ubuntu or Mint repositories as you should know.
« Last Edit: August 01, 2017, 11:10:35 pm by JuhaManninen »

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus